<div class="toolbar-wrapper">
  <solidify-searchable-single-select *ngIf="getFormControl(formDefinition.organizationalUnitId) as fd"
                                     [canDeleteValue]="false"
                                     [formControl]="fd"
                                     [labelKey]="'name'"
                                     [placeholder]="labelTranslateEnum.organizationalUnit | translate"
                                     [resourceNameSpace]="depositAuthorizedOrganizationalUnitNameSpace"
                                     [sort]="depositAuthorizedOrganizationalUnitSort"
                                     [state]="depositAuthorizedOrganizationalUnitState"
                                     [storeLastSelectionKey]="lastSelectionOrgUnitLocalStorageKey"
                                     [tourAnchor]="tourEnum.depositOrgUnitSelector"
                                     [valueKey]="'resId'"
                                     class="org-unit-selector"
                                     solidifyValidation
  >
  </solidify-searchable-single-select>

  <button #matButton
          *ngIf="canCreateObs | async"
          [solidifyAutoFocus]="isInTourModeObs | async | isFalsy"
          [tourAnchor]="tourEnum.depositCreate"
          color="primary"
          id="add-deposit-btn"
          mat-flat-button
          solidifyShortCuts
          (click)="create(matButton._elementRef)"
          (onEnter)="create(matButton._elementRef)"
  >
    <solidify-icon [iconName]="iconNameEnum.create"></solidify-icon>
    {{KEY_CREATE_BUTTON | translate}}
  </button>

  <mat-slide-toggle [checked]="showOnlyMyDeposits"
                    [color]="'primary'"
                    (change)="toggleShowOnlyMyDeposits($event.checked)"
                    class="slide-toggle"
  >
    {{labelTranslateEnum.showOnlyMyDeposits | translate}}
  </mat-slide-toggle>
</div>

<div class="container">
  <mat-tab-group (selectedTabChange)="onTabChanged($event)"
                 [selectedIndex]="selectedTabIndex"
                 [tourAnchor]="tourEnum.depositStatusTabs"
                 class="tab-header"
                 mat-align-tabs="start"
  >
    <mat-tab *ngFor="let tab of listTabStatus"
    >
      <ng-template mat-tab-label>
          <span [class]="tab.color"
                [matBadgeSize]="'small'"
                [matBadge]="tab.displayCounter ? ((getTabCounter(tab.tabEnum) | async) === 0 ? undefined : (getTabCounter(tab.tabEnum) | async)) : undefined"
                matBadgeOverlap="false"
          >{{tab.labelToTranslate | translate}}</span>
      </ng-template>
    </mat-tab>
  </mat-tab-group>

  <solidify-data-table (queryParametersChange)="onQueryParametersEvent($event)"
                       (selectChange)="showDetail($event)"
                       [actions]="actions"
                       [columnsSkippedToClear]="$any(columnsSkippedToClear)"
                       [columns]="columns"
                       [data]="listObs | async"
                       [solidifyDataTest]="dataTestEnum.depositDataTable"
                       [displaySpinnerWhenLoading]="true"
                       [isLoading]="isLoadingObs | async"
                       [queryParameters]="queryParametersObs | async"
                       [stickyTopPosition]="117"
                       [displayActionCopyIdToClipboard]="true"
                       [displayActionShowHistory]="true"
                       [detailRouteToInterpolate]="detailRouteToInterpolate"
                       (showHistoryChange)="showHistory($event)"
  ></solidify-data-table>
</div>
